# TODO: review configure options:
# - accelerated-compositing, notifications, gamepad, dom-mutation-observers, input-color, media-source, media-stream, mhtml, web-audio, web-timing, touch-icon-loading, register-protocol-handler
# - directory-upload
# - webkit2
# - APIs: page-visibility-api, indexed-database, input-speech, image-resizer, quota, animation-api
# - HTML5: microdata, datagrid, data-transfer-items, video-track, file-system, style-scoped
#
# Conditional build:
%bcond_without	introspection	# disable introspection
#
Summary:	Port of WebKit embeddable web component to GTK+ 3
Summary(pl.UTF-8):	Port osadzalnego komponentu WWW WebKit do GTK+ 3
Name:		gtk-webkit3
Version:	1.8.2
Release:	1
License:	BSD-like
Group:		X11/Libraries
Source0:	http://webkitgtk.org/releases/webkit-%{version}.tar.xz
# Source0-md5:	f7bd0bd4f323039f15e19c82a9a8313c
URL:		http://webkitgtk.org/
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	cairo-devel >= 1.10
BuildRequires:	enchant-devel >= 0.22
BuildRequires:	flex >= 2.5.33
BuildRequires:	fontconfig-devel >= 2.4.0
BuildRequires:	freetype-devel >= 1:2.1.8
BuildRequires:	geoclue-devel
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.32.0
BuildRequires:	glibc-misc
%{?with_introspection:BuildRequires:	gobject-introspection-devel >= 0.10.0}
BuildRequires:	gperf
BuildRequires:	gstreamer-devel >= 0.10
BuildRequires:	gstreamer-plugins-base-devel >= 0.10.30
BuildRequires:	gtk+3-devel >= 3.4.0
BuildRequires:	gtk-doc >= 1.10
BuildRequires:	libicu-devel >= 4.2.1
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libsoup-devel >= 2.38.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	libxml2-devel >= 1:2.6.30
BuildRequires:	libxslt-devel >= 1.1.7
BuildRequires:	pango-devel >= 1:1.21.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.592
BuildRequires:	sqlite3-devel >= 3.0
BuildRequires:	xorg-lib-libXrender-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	zlib-devel
Requires:	cairo >= 1.10
Requires:	enchant >= 0.22
Requires:	glib2 >= 1:2.32.0
Requires:	gstreamer-plugins-base >= 0.10.30
Requires:	gtk+3 >= 3.4.0
Requires:	libsoup >= 2.38.0
Requires:	libxml2 >= 1:2.6.30
Requires:	libxslt >= 1.1.7
Requires:	pango >= 1:1.21.0
%{?with_introspection:Conflicts:	gir-repository < 0.6.5-7}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gtk-webkit3 is a port of the WebKit embeddable web component to GTK+ 3.

%description -l pl.UTF-8
gtk-webkit3 to port osadzalnego komponentu WWW WebKit do GTK+ 3.

%package devel
Summary:	Development files for WebKit for GTK+ 3
Summary(pl.UTF-8):	Pliki programistyczne komponentu WebKit dla GTK+ 3
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.32.0
Requires:	gtk+3-devel >= 3.4.0
Requires:	libsoup-devel >= 2.38.0

%description devel
Development files for WebKit for GTK+ 3.

%description devel -l pl.UTF-8
Pliki programistyczne komponentu WebKit dla GTK+ 3.

%package apidocs
Summary:	WebKit API documentation
Summary(pl.UTF-8):	Dokumentacja API WebKita
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
WebKit API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API WebKita.

%prep
%setup -q -n webkit-%{version}

%build
%{__gtkdocize}
%{__libtoolize}
%{__aclocal} -I Source/autotools
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	--disable-silent-rules \
	%{__enable_disable introspection} \
	--with-gtk=3.0 \
	--enable-geolocation \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/lib*.la

%find_lang webkit-3.0

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f webkit-3.0.lang
%defattr(644,root,root,755)
%doc ChangeLog NEWS
%attr(755,root,root) %{_bindir}/jsc-3
%attr(755,root,root) %{_libdir}/libwebkitgtk-3.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwebkitgtk-3.0.so.0
%attr(755,root,root) %{_libdir}/libjavascriptcoregtk-3.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libjavascriptcoregtk-3.0.so.0
%if %{with introspection}
%{_libdir}/girepository-1.0/JSCore-3.0.typelib
%{_libdir}/girepository-1.0/WebKit-3.0.typelib
%endif
%dir %{_datadir}/webkitgtk-3.0
%{_datadir}/webkitgtk-3.0/images
%{_datadir}/webkitgtk-3.0/resources
%{_datadir}/webkitgtk-3.0/webinspector

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwebkitgtk-3.0.so
%attr(755,root,root) %{_libdir}/libjavascriptcoregtk-3.0.so
%if %{with introspection}
%{_datadir}/gir-1.0/JSCore-3.0.gir
%{_datadir}/gir-1.0/WebKit-3.0.gir
%endif
%{_includedir}/webkitgtk-3.0
%{_pkgconfigdir}/webkitgtk-3.0.pc
%{_pkgconfigdir}/javascriptcoregtk-3.0.pc

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/webkitgtk
%changelog
* Fri Aug 10 2012 Łukasz Kieś <kiesiu@pld-linux.org> 9514bd6
- updated to 1.8.2

* Fri May 04 2012 Artur Frysiak <artur@frysiak.net> 09958ad
- up to 1.8.1
- parallel build broken

* Sun Apr 01 2012 Jakub Bogusz <qboosh@pld-linux.org> 89035ba
- r30628

* Wed Mar 28 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 024f1b5
- updated Source0 URL

* Wed Mar 28 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 09ca9f0
- r30153

* Mon Mar 05 2012 Artur Frysiak <artur@frysiak.net> 20ea66e
- up to 1.6.3

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c63d3df
- current snap
- use GNOME build path instead of qmake

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 81190d4
- release 3

* Sun Oct 09 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> ed4a0fd
- r30053

* Fri Sep 30 2011 Artur Frysiak <artur@frysiak.net> cf9395d
- up to 1.6.1

* Sun Jul 03 2011 Jakub Bogusz <qboosh@pld-linux.org> 91c1dec
- qt4-qmake -> qmake-qt4

* Fri Jul 01 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 722df97
- updated to 1.4.2

* Sat Jun 11 2011 Jakub Bogusz <qboosh@pld-linux.org> 97c9d25
- r28767

* Tue May 03 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 250fd10
- updated to 1.4.0

* Tue Apr 05 2011 Artur Frysiak <artur@frysiak.net> 544bb2a
- current version

* Tue Apr 05 2011 Artur Frysiak <artur@frysiak.net> d3159f4
- greek locale fix
- rel. 3

* Tue Apr 05 2011 Artur Frysiak <artur@frysiak.net> 6bda580
- r27208

* Tue Apr 05 2011 Artur Frysiak <artur@frysiak.net> 1e21f0c
- BR/R stable libsoup

* Tue Apr 05 2011 Artur Frysiak <artur@frysiak.net> d5b16fe
- r26865

* Tue Mar 29 2011 Marcin Banasiak <marcin.banasiak@gmail.com> c66a3ae
- revised deps

